classification
Title: 3.4rc2 Traceback on Windows pip uninstall
Type: crash Stage: resolved
Components: Windows Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asmodai, larry, loewis, ncoghlan, ned.deily, python-dev
Priority: release blocker Keywords: 3.4regression, patch

Created on 2014-02-24 07:10 by asmodai, last changed 2014-03-17 06:30 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue20757_only_print_to_stderr_for_pip_mismatch.diff ncoghlan, 2014-02-24 12:24 Print warning to stderr instead of raising RuntimeError review
Messages (8)
msg212062 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2014-02-24 07:10
Just tried the rc2 MSI on Windows 7 x64. Go through the normal setup I always pick the Advanced option of compiling the .py files. In rc1 the script it spawns works as it should, with rc2 I see it pop up, have a Traceback before it quickly closes again.

And this fails the install.
msg212064 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2014-02-24 07:16
This is, by the way, an upgrade install over rc1. Need to test a clean install at some point as well.

Running the MSI with /L* gives me:

Action 8:13:22: RemovePip. 
Action start 8:13:22: RemovePip.
CustomAction RemovePip returned actual error code 1 (note this may not be 100% accurate if translation happened inside sandbox)
Error 1722. There is a problem with this Windows Installer package. A program run as part of the setup did not finish as expected. Contact your support personnel or package vendor.  Action RemovePip, location: F:\Python34\python.exe, command: -m ensurepip._uninstall 
MSI (s) (84:50) [08:13:27:188]: Product: Python 3.4.0rc1 (64-bit) -- Error 1722. There is a problem with this Windows Installer package. A program run as part of the setup did not finish as expected. Contact your support personnel or package vendor.  Action RemovePip, location: F:\Python34\python.exe, command: -m ensurepip._uninstall 

Action ended 8:13:27: RemovePip. Return value 3.
Action ended 8:13:27: INSTALL. Return value 3.
msg212065 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2014-02-24 07:18
Ah, this might be something we need to fix in the process of the installer. If you have a pip installed that got updated, the install will now fail due version mismatch. Updated the title.

Traceback (most recent call last):
  File "F:\Python34\lib\runpy.py", line 171, in _run_module_as_main
    "__main__", mod_spec)
  File "F:\Python34\lib\runpy.py", line 86, in _run_code
    exec(code, run_globals)
  File "F:\Python34\lib\ensurepip\_uninstall.py", line 30, in <module>
    _main()
  File "F:\Python34\lib\ensurepip\_uninstall.py", line 26, in _main
    ensurepip._uninstall_helper(verbosity=args.verbosity)
  File "F:\Python34\lib\ensurepip\__init__.py", line 133, in _uninstall_helper
    raise RuntimeError(msg.format(pip.__version__, _PIP_VERSION))
RuntimeError: ensurepip will only uninstall a matching pip ('1.5.4' installed, '
1.5.2' bundled)
msg212089 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2014-02-24 12:24
Attached patch uses a similar solution to the one I used in issue 19744 to better handle "make install" and "make altinstall" when SSL/TLS are missing: it converts the version mismatch to a printed warning that still reports "success" to the caller.
msg212114 - (view) Author: Jeroen Ruigrok van der Werven (asmodai) * (Python committer) Date: 2014-02-24 17:06
Nick, this resolves the installation issues for me at least. +1
msg212142 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2014-02-24 21:17
LGTM
msg212429 - (view) Author: Roundup Robot (python-dev) Date: 2014-02-28 13:35
New changeset 82ec02db7fe6 by Nick Coghlan in branch 'default':
Close #20757: return success for skipped pip uninstall
http://hg.python.org/cpython/rev/82ec02db7fe6
msg213817 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-17 06:30
New changeset 6d0994805e18 by Nick Coghlan in branch '3.4':
Close #20757: return success for skipped pip uninstall
http://hg.python.org/cpython/rev/6d0994805e18
History
Date User Action Args
2014-03-17 06:30:58python-devsetmessages: + msg213817
2014-02-28 13:35:21python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg212429

resolution: fixed
stage: resolved
2014-02-24 21:17:36ned.deilysetnosy: + ned.deily
messages: + msg212142
2014-02-24 17:06:18asmodaisetmessages: + msg212114
2014-02-24 12:24:30ncoghlansetfiles: + issue20757_only_print_to_stderr_for_pip_mismatch.diff
keywords: + patch
messages: + msg212089
2014-02-24 08:12:30ned.deilysetnosy: + loewis, ncoghlan
2014-02-24 07:18:37asmodaisetmessages: + msg212065
components: + Windows
title: 3.4rc2 Traceback on Windows compilation script -> 3.4rc2 Traceback on Windows pip uninstall
2014-02-24 07:16:07asmodaisetmessages: + msg212064
2014-02-24 07:10:07asmodaicreate